Home
Home
  1. RPC Search
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
      • Get submission
      • Update submission
      • Update submission status
      • Run business verification
      • Get submission checks
      • Delete submission
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
        GET
      • Company RFC Lookup
        GET
      • Company Name Search
        GET
      • Download document
        GET
    • Utilities
      • Matcher
        • Run name matching
  1. RPC Search

Get company with ID

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/rpc/companies/{company_id}
Get information for a specific company in the Registro P煤blico de Comercio using the Niva ID. Use the Company Name Search endpoint to search by company name and retrieve an ID to use here.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/rpc/companies/mxc_1234567890?timeout=30' \
--header 'apiKey: <api-key>'

Responses

馃煝200Success
application/json
Bodyapplication/json

Examples
{
    "error": "RFC Not Found"
}
馃煝202Accepted
馃煚404Not Found
Previous
Rerun validations
Next
Company RFC Lookup